## NAME

CURLOPT_TELNETOPTIONS - custom telnet options

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_TELNETOPTIONS, struct curl_slist *cmds);

## DESCRIPTION

Provide a pointer to a curl_slist with variables to pass to the telnet negotiations. The variables should be in the format <option=value>. libcurl supports the options 'TTYPE', 'XDISPLOC' and 'NEW_ENV'. See the TELNET standard for details.

## DEFAULT

NULL

## PROTOCOLS

TELNET

## EXAMPLE

TODO

## AVAILABILITY

Along with TELNET

## RETURN VALUE

Returns CURLE_OK if TELNET is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_HTTPHEADER, CURLOPT_QUOTE

This HTML page was made with roffit.